Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookFor each endpoint, you can select which columns you want to retrieve by using the <code>select</code> query parameter. Besides the columns of the resource itself, you can also select columns from related resources. For more advanced selection options refer to the PostgREST documentation.
curl -X GET "https://api.bookingmood.com/v1/products?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"curl -X GET "https://api.bookingmood.com/v1/products?select=id,name" \
-H "Authorization: Bearer YOUR_API_KEY"curl -X GET "https://api.bookingmood.com/v1/products?select=name,capacities(*)" \
-H "Authorization: Bearer YOUR_API_KEY"